Class | Chef::Application::Client
In: | lib/chef/application/client.rb
Parent: | Chef::Application

### Methods

configure_logging new reconfigure run_application setup_application

### Constants

SELF_PIPE | = | [] |  | Mimic self_pipe sleep from Unicorn to capture signals safely

### Attributes

chef_client_json | [R] |

### Public Class methods

new()

### Public Instance methods

configure_logging()
reconfigure()

Reconfigure the chef client Re-open the JSON attributes and load them into the node

run_application()

Run the chef client, optionally daemonizing or looping at intervals.

setup_application()

[Validate]